You are not logged in.

#1 2013-03-08 07:29:33

lordmetroid
Member
Registered: 2009-09-27
Posts: 74

[SOLVED] Erlang package is dependency bloated

I would wish to install Erlang on my server. So I enter the command into pacman and get faced with a wall of dependencies. Unecessary dependencies! Erlang needs almost nothing of these packages to work. Most of them are just bullshit GUI and media packages, I want a compiler and virtual machine not a window manager.

# pacman -Syu erlang
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
resolving dependencies...
:: There are 4 providers available for libgl:
:: Repository extra
   1) mesa-libgl  2) nvidia-304xx-utils  3) nvidia-utils
:: Repository community
   4) catalyst-utils

Enter a number (default=1):
looking for inter-conflicts...

Targets (70): atk-2.6.0-1  avahi-0.6.31-6  cairo-1.12.14-3
              compositeproto-0.4.2-2  damageproto-1.2.1-2  fixesproto-5.0-2
              fontconfig-2.10.2-1  freetype2-2.4.11-2  gdk-pixbuf2-2.26.5-1
              glu-9.0.0-2  gnutls-3.1.9-1  graphite-1:1.2.1-1
              gstreamer0.10-0.10.36-1  gstreamer0.10-base-0.10.36-1
              gtk-update-icon-cache-2.24.16-1  gtk2-2.24.16-1  harfbuzz-0.9.9-3
              icu-50.1.2-1  inputproto-2.2-1  kbproto-1.0.6-1  libcups-1.6.1-6
              libdaemon-0.14-2  libdatrie-0.2.5-1  libdrm-2.4.42-1
              libice-1.0.8-1  libjpeg-turbo-1.2.1-1  libpciaccess-0.13.1-1
              libpng-1.5.14-1  libsm-1.2.1-1  libtasn1-3.2-1  libthai-0.1.18-1
              libtiff-4.0.3-1  libvdpau-0.6-1  libx11-1.5.0-2  libxau-1.0.7-1
              libxcb-1.9-3  libxcomposite-0.4.4-1  libxcursor-1.1.13-1
              libxdamage-1.1.4-1  libxdmcp-1.1.1-1  libxext-1.3.1-1
              libxfixes-5.0-2  libxft-2.3.1-1  libxi-1.6.2-1
              libxinerama-1.1.2-1  libxrandr-1.4.0-1  libxrender-0.9.7-1
              libxv-1.0.7-1  libxxf86vm-1.1.2-1  mesa-9.1-2  mesa-libgl-9.1-2
              nettle-2.6-1  nodejs-0.8.22-1  orc-0.4.16-1  p11-kit-0.13-1
              pango-1.32.5-1  pixman-0.28.2-1  randrproto-1.4.0-1
              renderproto-0.11.1-2  sdl-1.2.15-3  shared-mime-info-1.1-1
              videoproto-2.3.1-2  wayland-1.0.5-1  wxgtk-2.8.12.1-4
              xcb-proto-1.8-1  xextproto-7.2.1-1  xf86vidmodeproto-2.3.1-2
              xineramaproto-1.2.1-2  xproto-7.0.23-1  erlang-R16B-1

Total Download Size:    103.61 MiB
Total Installed Size:   468.76 MiB
Net Upgrade Size:       454.50 MiB

Proceed with installation? [Y/n]

Last edited by lordmetroid (2013-03-08 07:36:28)

Offline

#2 2013-03-08 07:36:45

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,249

Re: [SOLVED] Erlang package is dependency bloated

erlang-nox ?

Offline

#3 2013-03-08 07:37:32

lordmetroid
Member
Registered: 2009-09-27
Posts: 74

Re: [SOLVED] Erlang package is dependency bloated

The solution was to install erlang-nox, why the headless version is not the standard version is beyond my understanding but ok. I can live with it.

Offline

Board footer

Powered by FluxBB